Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000176Core InformRules and rulebookspublic2010-07-05 08:372010-10-28 00:30
Reporterfundin 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000176: Can't use a bare kind of value after action name in rule preamble
DescriptionThe example source results in the following problem report:

Problem. You wrote 'Carry out dialing a number', which seems to introduce a rule taking effect only if the action is 'dialing a number'. But that did not make sense as a description of an action. I am unable to place this rule into any rulebook.
Minimal Source Text To Reproduce
Home is a room.

Dialing is an action applying to one number.

Carry out dialing a number: say "There's no answer."
Additional InformationThis doesn't happen if a more specific description, such as 'an even number', is used, nor does it happen if we add a '(called X)' clause, and just writing 'a number' is redundant anyway, so it's hardly a big issue.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0000605)
graham (administrator)
2010-09-27 14:58

Fixed.

- Issue History
Date Modified Username Field Change
2010-07-05 08:37 fundin New Issue
2010-07-05 12:43 jmcgrew Status new => acknowledged
2010-07-05 16:32 EmacsUser Status acknowledged => confirmed
2010-09-27 14:58 graham Note Added: 0000605
2010-09-27 14:58 graham Status confirmed => resolved
2010-09-27 14:58 graham Resolution open => fixed
2010-09-27 14:58 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker